| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::GPSItemList Class Reference
Inheritance diagram for Digikam::GPSItemList:

## Public Slots
void | slotDecreaseThumbnailSize ()
void | slotIncreaseThumbnailSize ()
void | slotUpdateActionsEnabled ()

## Signals
void | signalImageActivated (const QModelIndex &index)

## Public Member Functions
| GPSItemList (QWidget *const parent=nullptr)
GPSItemModel * | getModel () const
QItemSelectionModel * | getSelectionModel () const
GPSItemSortProxyModel * | getSortProxyModel () const
void | readSettingsFromGroup (const KConfigGroup *const group)
void | saveSettingsToGroup (KConfigGroup *const group)
void | setDragDropHandler (ItemListDragDropHandler *const dragDropHandler)
void | setDragEnabled (const bool state)
void | setEditEnabled (const bool state)
void | setModelAndSelectionModel (GPSItemModel *const model, QItemSelectionModel *const selectionModel)
void | setThumbnailSize (const int size)

## Protected Member Functions
bool | eventFilter (QObject *watched, QEvent *event) override
void | startDrag (Qt::DropActions supportedActions) override
void | wheelEvent (QWheelEvent *we) override